//  File: ConvertTemperatures.java
//  Applet version of Fahrenheit to Celsius GUI
//  

import java.awt.*;
import java.awt.event.*;
import java.applet.*;
// Need this one!
import java.net.*;

public class ConvertTemperatures extends Applet
  implements ActionListener
{ Label directions;
  TextField fahrenheit;
  Label celsius;
  URL VideoURL;
  
  public void init()
  { setSize(250,100);
    setLayout(new FlowLayout());
    add(new Label(getParameter("title")));
    directions = new Label("Enter temperature in Fahrenheit:");
    add(directions);
    fahrenheit = new TextField(2);
    add(fahrenheit);
    fahrenheit.addActionListener(this);
    celsius = new Label("                             ");
    celsius.setFont(new Font("TimesRoman 12 point bold.", 20, 20));
    add(celsius);
    try {
      VideoURL=new URL(getDocumentBase(),"MasterKan.html");
    }
    catch (MalformedURLException e) {
      e.printStackTrace();
    }  
    System.out.println("URL is "+VideoURL);
    setVisible(true);
  }

  public void actionPerformed(ActionEvent event)
  { int f = Integer.parseInt(fahrenheit.getText());
    long c = Math.round(5.0*(f - 32)/9.0);
    fahrenheit.setText("");
    celsius.setText(f + "\u00B0F = " + c + "\u00B0C");
//      getAppletContext().showDocument(new URL("javascript:playVideo()"));
    getAppletContext().showDocument(VideoURL,"Grasshopper!");
  }
}

/*
class TestConvertTemperatures
{ public static void main(String[] args)
  { new ConvertTemperatures("Fahrenheit To Celsius Conversion");
  }
}
*/
